/*
 *   FILE
 *	port.c
 *
 *   DESCRIPTION
 *	OSF/1-specific routines
 *
 *   INTERFACE ROUTINES
 *	init_address_fixup
 *
 *   NOTES
 *
 *   IDENTIFICATION
 *	/usr/local/devel/postgres-v4r2/src/backend/port/alpha/RCS/port.c,v 1.2 1993/08/10 19:50:31 aoki Exp
 */

#include <sys/types.h>
#include <sys/sysinfo.h>
#include <sys/proc.h>

#include "tmp/c.h"

#include "utils/log.h"

RcsId("/usr/local/devel/postgres-v4r2/src/backend/port/alpha/RCS/port.c,v 1.2 1993/08/10 19:50:31 aoki Exp");

init_address_fixup()
{
#ifdef NOFIXADE
    int buffer[] = { SSIN_UACPROC, UAC_SIGBUS };
#endif /* NOFIXADE */
#ifdef NOPRINTADE
    int buffer[] = { SSIN_UACPROC, UAC_NOPRINT };
#endif /* NOPRINTADE */

    if (setsysinfo(SSI_NVPAIRS, buffer, 1, (caddr_t) NULL,
		   (unsigned long) NULL) < 0) {
	elog(NOTICE, "setsysinfo failed: %d\n", errno);
    }
}
